- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QFileInfo Class Reference

Search for all occurrences

## Detailed Description

Examples:

  MeshDisplace/displacer.cpp, SampleViewportFilter/SampleViewportFilter.cpp, and ToonMaterial/ToonMaterial.cpp.

Definition at line 59 of file qfileinfo.h.

`#include <qfileinfo.h>`

List of all members.

## Public Member Functions
| QFileInfo ()
| QFileInfo (const QString &file)
| QFileInfo (const QFile &file)
| QFileInfo (const QDir &dir, const QString &file)
| QFileInfo (const QFileInfo &fileinfo)
| ~QFileInfo ()
QFileInfo & | operator= (const QFileInfo &fileinfo)
bool | operator== (const QFileInfo &fileinfo)
bool | operator== (const QFileInfo &fileinfo) const
bool | operator!= (const QFileInfo &fileinfo)
bool | operator!= (const QFileInfo &fileinfo) const
void | setFile (const QString &file)
void | setFile (const QFile &file)
void | setFile (const QDir &dir, const QString &file)
bool | exists () const
void | refresh ()
QString | filePath () const
QString | absoluteFilePath () const
QString | canonicalFilePath () const
QString | fileName () const
QString | baseName () const
QString | completeBaseName () const
QString | suffix () const
QString | bundleName () const
QString | completeSuffix () const
QString | path () const
QString | absolutePath () const
QString | canonicalPath () const
QDir | dir () const
QDir | absoluteDir () const
bool | isReadable () const
bool | isWritable () const
bool | isExecutable () const
bool | isHidden () const
bool | isRelative () const
bool | isAbsolute () const
bool | makeAbsolute ()
bool | isFile () const
bool | isDir () const
bool | isSymLink () const
bool | isRoot () const
bool | isBundle () const
QString | readLink () const
QString | symLinkTarget () const
QString | owner () const
uint | ownerId () const
QString | group () const
uint | groupId () const
bool | permission (QFile::Permissions permissions) const
QFile::Permissions | permissions () const
qint64 | size () const
QDateTime | created () const
QDateTime | lastModified () const
QDateTime | lastRead () const
void | detach ()
bool | caching () const
void | setCaching (bool on)
## Protected Attributes
QSharedDataPointer < QFileInfoPrivate > | d_ptr

## Constructor & Destructor Documentation

QFileInfo | ( |  | ) |

QFileInfo | ( | const QString & | file | ) |

QFileInfo | ( | const QFile & | file | ) |

QFileInfo | ( | const QDir & | dir,
|  | const QString & | file
| ) |  |

QFileInfo | ( | const QFileInfo & | fileinfo | ) |

~QFileInfo | ( |  | ) |

## Member Function Documentation

QFileInfo& operator= | ( | const QFileInfo & | fileinfo | ) |

bool operator== | ( | const QFileInfo & | fileinfo | ) |

bool operator== | ( | const QFileInfo & | fileinfo | ) | const

bool operator!= | ( | const QFileInfo & | fileinfo | ) | `[inline]`

Definition at line 72 of file qfileinfo.h.

    { return !(operator==(fileinfo)); } // 5.0 - remove me

bool operator!= | ( | const QFileInfo & | fileinfo | ) | const `[inline]`

Definition at line 73 of file qfileinfo.h.

    { return !(operator==(fileinfo)); }

void setFile | ( | const QString & | file | ) |

Search for all occurrences

void setFile | ( | const QFile & | file | ) |

Search for all occurrences

void setFile | ( | const QDir & | dir,
|  | const QString & | file
| ) |  |

Search for all occurrences

bool exists | ( |  | ) | const

Search for all occurrences

void refresh | ( |  | ) |

Search for all occurrences

QString filePath | ( |  | ) | const

Search for all occurrences

QString absoluteFilePath | ( |  | ) | const

Search for all occurrences

QString canonicalFilePath | ( |  | ) | const

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

QString baseName | ( |  | ) | const

Search for all occurrences

QString completeBaseName | ( |  | ) | const

Search for all occurrences

QString suffix | ( |  | ) | const

Search for all occurrences

QString bundleName | ( |  | ) | const

Search for all occurrences

QString completeSuffix | ( |  | ) | const

Search for all occurrences

QString path | ( |  | ) | const

Search for all occurrences

QString absolutePath | ( |  | ) | const

Search for all occurrences

QString canonicalPath | ( |  | ) | const

Search for all occurrences

QDir dir | ( |  | ) | const

Search for all occurrences

QDir absoluteDir | ( |  | ) | const

Search for all occurrences

bool isReadable | ( |  | ) | const

Search for all occurrences

bool isWritable | ( |  | ) | const

Search for all occurrences

bool isExecutable | ( |  | ) | const

Search for all occurrences

bool isHidden | ( |  | ) | const

Search for all occurrences

bool isRelative | ( |  | ) | const

Search for all occurrences

bool isAbsolute | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 103 of file qfileinfo.h.

    { return !isRelative(); }

bool makeAbsolute | ( |  | ) |

Search for all occurrences

bool isFile | ( |  | ) | const

Search for all occurrences

bool isDir | ( |  | ) | const

Search for all occurrences

bool isSymLink | ( |  | ) | const

Search for all occurrences

bool isRoot | ( |  | ) | const

Search for all occurrences

bool isBundle | ( |  | ) | const

Search for all occurrences

QString readLink | ( |  | ) | const

Search for all occurrences

QString symLinkTarget | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 113 of file qfileinfo.h.

    { return readLink(); }

QString owner | ( |  | ) | const

Search for all occurrences

uint ownerId | ( |  | ) | const

Search for all occurrences

QString group | ( |  | ) | const

Search for all occurrences

uint groupId | ( |  | ) | const

Search for all occurrences

bool permission | ( | QFile::Permissions | permissions | ) | const

Search for all occurrences

QFile::Permissions permissions | ( |  | ) | const

Search for all occurrences

qint64 size | ( |  | ) | const

Search for all occurrences

QDateTime created | ( |  | ) | const

Search for all occurrences

QDateTime lastModified | ( |  | ) | const

Search for all occurrences

QDateTime lastRead | ( |  | ) | const

Search for all occurrences

void detach | ( |  | ) |

Search for all occurrences

bool caching | ( |  | ) | const

Search for all occurrences

void setCaching | ( | bool | on | ) |

Search for all occurrences

## Member Data Documentation

QSharedDataPointer<QFileInfoPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 169 of file qfileinfo.h.

The documentation for this class was generated from the following file:

- QtCore/qfileinfo.h

QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo
QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo QFileInfo